#
# spec file for package xcnf (Version 0.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcl
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim

Name:         xcnf
BuildArchitectures: noarch
Copyright:    1997, Martin Scherbaum, SuSE GmbH
Group:        X11/Utilities
Provides:     xcnf 
Requires:     tk xf86
Autoreqprov:  on
Version:      0.1
Release:      402
Summary:      Make settings in X
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.patch
BuildRoot:    %{_tmppath}/%{name}-build

%description
With xcnf you may take some settings under X:
- mouse
- system beep
- builtin X screen saver
The settings may be stored in ~/.Xcnf and can be recalled every time starting X
by calling xcnfset e.g. in ~/.xinitrc
Documentation:
xcnf --help
xcnfset --help
/usr/share/doc/packages/xcnf/README

Authors:
--------
    Martin Scherbaum <maddin@suse.de>

SuSE series: xap

%define		xbin_dir	/usr/X11R6/bin
%define		xcnf_dir	/usr/X11R6/lib/X11/xcnf
%prep
%setup
%patch

%build

%install
( cd tcl; ./mkindex )
install -d -m 755 $RPM_BUILD_ROOT/%{xcnf_dir}/
install -m 644 tcl/*.tcl tcl/tclIndex $RPM_BUILD_ROOT/%{xcnf_dir}/
install -d -m 755 $RPM_BUILD_ROOT/%{xbin_dir}/
install -m 755 ./bin/xcnf    $RPM_BUILD_ROOT/%{xbin_dir}/
install -m 755 ./bin/xcnfset $RPM_BUILD_ROOT/%{xbin_dir}/

%files
%doc README
%{xbin_dir}/*
%{xcnf_dir}

%changelog -n xcnf
* Fri Aug 17 2001 - pmladek@suse.cz
- bzipped sources
- cleaned up spec file
* Tue Sep 19 2000 - nadvornik@suse.cz
- added BuildRoot
- moved to noarch
* Fri Jul 14 2000 - nadvornik@suse.cz
- fixed to work with tk8.3
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Oct 23 1997 - ro@suse.de
- ready for autobuild
* Thu May 22 1997 - maddin@suse.de
- new version 0.1
